package com.loan.system.service;

import com.loan.system.domain.dto.CustomersOtherDTO;
import com.loan.system.domain.dto.LoanCaseDTO;
import com.loan.system.domain.entity.CustomersOther;
import com.loan.system.domain.vo.CustomersOtherVO;

import java.util.List;

public interface CustomerOtherService {
    CustomersOther addCustomers(CustomersOtherDTO customersOtherDTO);

    CustomersOther findByIdNumber(String idNumber);

    void updateCustomerById(CustomersOtherDTO customers1, Long id);

    CustomersOtherVO findById(Long custom1Id);

    List<CustomersOtherVO> findByCaseId(Long caseId);

    void deleteAllByCaseId(Long caseId);
}
